QuantLib: TreeCallableZeroCouponBondEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
TreeCallableZeroCouponBondEngine Class Reference

Numerical lattice engine for callable zero coupon bonds. More...

`#include <ql/experimental/callablebonds/treecallablebondengine.hpp>`

Inheritance diagram for TreeCallableZeroCouponBondEngine:
[legend]

## Public Member Functions
| TreeCallableZeroCouponBondEngine (const boost::shared_ptr< ShortRateModel > &model, const Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeCallableZeroCouponBondEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
Public Member Functions inherited from TreeCallableFixedRateBondEngine
void | calculate () const
| TreeCallableFixedRateBondEngine (const boost::shared_ptr< ShortRateModel > &, const Size timeSteps, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
| TreeCallableFixedRateBondEngine (const boost::shared_ptr< ShortRateModel > &, const TimeGrid &timeGrid, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
Public Member Functions inherited from LatticeShortRateModelEngine< CallableBond::arguments, CallableBond::results >
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const Handle< ShortRateModel > &model, Size timeSteps)
| LatticeShortRateModelEngine (const boost::shared_ptr< ShortRateModel > &model, const TimeGrid &timeGrid)
void | update ()
Public Member Functions inherited from GenericModelEngine< ShortRateModel, CallableBond::arguments, CallableBond::results >
| GenericModelEngine (const Handle< ShortRateModel > &model=Handle< ShortRateModel >())
| GenericModelEngine (const boost::shared_ptr< ShortRateModel > &model)
Public Member Functions inherited from GenericEngine< CallableBond::arguments, CallableBond::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from LatticeShortRateModelEngine< CallableBond::arguments, CallableBond::results >
TimeGrid | timeGrid_
Size | timeSteps_
boost::shared_ptr< Lattice > | lattice_
Protected Attributes inherited from GenericModelEngine< ShortRateModel, CallableBond::arguments, CallableBond::results >
Handle< ShortRateModel > | model_
Protected Attributes inherited from GenericEngine< CallableBond::arguments, CallableBond::results >
CallableBond::arguments | arguments_
CallableBond::results | results_

## Detailed Description

Numerical lattice engine for callable zero coupon bonds.